Name:           nautilus-flac-converter
Version:        0.0.5
Release:        1%{?dist}
Summary:        Nautilus extension to convert FLACS to Ogg Vorbis

Group:          User Interface/Desktops
License:        GPLv2+
URL:            http://nautilus-flac.sourceforge.net/
Source0:        http://download.sourceforge.net/nautilus-flac/%{name}-%{version}.tar.bz2
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

BuildRequires:	glib2-devel >= 2.15.1
BuildRequires:	nautilus-devel >= 2.12.0
BuildRequires:	gtk2-devel >= 2.12.0
BuildRequires:	gettext
BuildRequires:	perl(XML::Parser)

Requires:	vorbis-tools 


%description
Adds a "Convert FLAC to Ogg..." menu item to the context menu
of all flacs. This opens a dialog where you set the ogg vorbis
quality, and encoding directory. A click on "Ok" finally converts
the flac to ogg vorbis.


%prep
%setup -q


%build
%configure --disable-static
make %{?_smp_mflags}


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
find $RPM_BUILD_ROOT -name \*.la -exec rm {} \;


%clean
rm -rf $RPM_BUILD_ROOT


%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README TODO
%{_datadir}/%{name}/
%{_libdir}/nautilus/extensions-2.0/*.so


%changelog
* Fri Mar 21 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.5-
- Update to 0.0.5.
- Drop BR on libglade2-devel & gnome-vfs2-devel.
- Add BR on glib2-devel & gtk2-devel.

* Fri Feb  8 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.3-2
- Rebuild for gcc-4.3.

* Tue Jan  1 2008 Brian Pepple <bpepple@fedoraproject.org> - 0.0.3-1
- Update to 0.0.3.
- Bump min version of nautilus needed.
- Drop extensiondir patch. fixed upstream.

* Mon Dec 24 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-10
- Rebuild for change to nautilus extension api change.
- Add patch to use new nautilus extension directory.

* Tue Aug 21 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-9
- Rebuild.

* Sun Aug  5 2007 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-8
- Update license tag.

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-7
- Add BR on perl(XML::Parser).

* Thu Sep  7 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-6
- Rebuild for FC6.

* Sun Aug 13 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-5
- Drop BR on nautilus-extension.

* Fri Aug 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-4
- Add BR on nautilus-extensions.

* Fri Aug 11 2006 Brian Pepple <bpepple@fedoraproject.org> - 0.0.2-3
- Add BR for nautilus-devel, due to Core change.

* Tue Feb  7 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.2-2
- Update URL & Source for sourceforge address.

* Tue Jan 31 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.2-1
- Update to 0.0.2.

* Sun Jan 29 2006 Brian Pepple <bdpepple@ameritech.net> - 0.0.1-1
- Initial spec file.

